Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Use -Werror=format when checking HAVE_ATTRIBUTE_FORMAT_PARSETUPLE, so

injecting -Wall -Wno-error does not cause the test to produce the wrong
answer. (If it does, the wrong information is installed in /usr/include,
and ultimately provokes PR 47342.)

Same as -r1.8 of python27's patch-al.
  • Loading branch information...
commit c65e1b30bc149e3f94facec496b8b70e8a1fedb6 1 parent 1b823f6
dholland authored
Showing with 21 additions and 5 deletions.
  1. +2 −2 lang/python26/distinfo
  2. +19 −3 lang/python26/patches/patch-al
View
4 lang/python26/distinfo
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.47 2012/08/14 18:41:19 drochner Exp $
+$NetBSD: distinfo,v 1.48 2012/12/16 23:32:46 dholland Exp $
SHA1 (Python-2.6.8.tar.bz2) = 348b727a9818146a57aa43203f37d8c6b462fe79
RMD160 (Python-2.6.8.tar.bz2) = fcfa3554af415cbddd3e8d68aead46f1e7b8e616
@@ -14,7 +14,7 @@ SHA1 (patch-ac) = 57c88d47f82630e67bcd27ab61bf4362035da2f2
SHA1 (patch-ad) = a997e39d16a8f0023125362b180d19ee97ab519b
SHA1 (patch-ae) = a6d578b5f12eb42fbbcc11791576d2686a4807d9
SHA1 (patch-ah) = 501d220b41e578402f3400fe88e582aa2408a147
-SHA1 (patch-al) = e18800d53de022e4c24055f7d03b69af2837b089
+SHA1 (patch-al) = f5a762eb56692cb5b2724cf3f5f3d85edfdff7d9
SHA1 (patch-am) = 380dfaa8ca90532a52dcca972e34965f6e64fce1
SHA1 (patch-an) = 17b4e17b3b562c29a050e9bb20447084ce82b8ab
SHA1 (patch-ao) = 8c6a156b0f0c2a6d319658477fff348e6a0c3603
View
22 lang/python26/patches/patch-al
@@ -1,7 +1,14 @@
-$NetBSD: patch-al,v 1.9 2011/09/14 17:07:01 hans Exp $
+$NetBSD: patch-al,v 1.10 2012/12/16 23:32:46 dholland Exp $
---- configure.orig 2010-05-25 02:27:03.000000000 +0000
-+++ configure 2011-09-06 18:58:15.336443123 +0200
+- recognize OpenBSD, MirBSD, Interix, Solaris 11
+- remove special-case library version hack for FreeBSD
+- use -Werror=format when testing HAVE_ATTRIBUTE_FORMAT_PARSETUPLE,
+ so injecting -Wno-error does not break the test
+- honor pkgsrc LDFLAGS
+- other stuff not previously commented (XXX)
+
+--- configure.orig 2012-04-10 15:32:11.000000000 +0000
++++ configure
@@ -2833,7 +2833,7 @@ case $ac_sys_system/$ac_sys_release in
# Reconfirmed for OpenBSD 3.3 by Zachary Hamm, for 3.4 by Jason Ish.
# In addition, Stefan Krah confirms that issue #1244610 exists through
@@ -54,6 +61,15 @@ $NetBSD: patch-al,v 1.9 2011/09/14 17:07:01 hans Exp $
INSTSONAME="$LDLIBRARY".$SOVERSION
;;
hp*|HP*)
+@@ -5470,7 +5465,7 @@ then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gcc supports ParseTuple __format__" >&5
+ $as_echo_n "checking whether gcc supports ParseTuple __format__... " >&6; }
+ save_CFLAGS=$CFLAGS
+- CFLAGS="$CFLAGS -Werror"
++ CFLAGS="$CFLAGS -Werror=format"
+ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+ /* end confdefs.h. */
+
@@ -7359,8 +7354,8 @@ then
LDSHARED="$LDSHARED "'$(PYTHONFRAMEWORKPREFIX)/$(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)'
else
Please sign in to comment.
Something went wrong with that request. Please try again.